Page MenuHomeFreeBSD

Update FAQs 10.21 and 10.22
ClosedPublic

Authored by pauamma_gundo.com on Apr 18 2020, 6:29 PM.

Details

Summary
  • remove mentions of cache queue
  • introduce laundry queue
  • copyedit definition of free memory in FAQ 10.22

PR: 242062

Test Plan

tested with lynx

Diff Detail

Repository
rD FreeBSD doc repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Syntactically and lexicographically, this makes sense to me.
As to whether it matters kernel-defined behavior, that's outside my area of expertise.

markj added inline comments.Apr 20 2020, 3:13 PM
en_US.ISO8859-1/books/faq/book.xml
4029 ↗(On Diff #70742)

Let's remove the "in the interrupt or process states" qualifier. It is referring to a mechanism we use in the page allocator to reserve free pages for high-priority allocations, but that is just an implementation detail and no longer has anything to do with the "state" being referred to.

4040 ↗(On Diff #70742)

"active or inactive"

4045 ↗(On Diff #70742)

Let's replace "whether they are active or inactive" with "regardless of their location in the page queues" or something similar.

4046 ↗(On Diff #70742)

s/inactive/laundry/

And perhaps update the description of the inactive queue:

"In most common cases, it is best to think of the laundry queue to be a queue of relatively unused, dirty pages that might or might not be in the process of being written to disk. The inactive queue contains a mix of clean and dirty pages; clean pages near the head of the queue are reclaimed immediately to alleviate a free page shortage, and dirty pages are moved to the laundry queue for deferred processing."

Feel free to reword, this is just a suggestion.

4049 ↗(On Diff #70742)

Again let's remove this qualifier, or perhaps even the whole sentence.

4068 ↗(On Diff #70742)

Maybe qualify with "some other reserved pages".

This should address all of markj's comments.

markj accepted this revision.Apr 20 2020, 9:32 PM

The patch looks reasonable to me. Thanks for doing this!

This revision is now accepted and ready to land.Apr 20 2020, 9:32 PM

Thanks for reviewing it. Can a docs committer (I'm not one) take care of it?

allanjude accepted this revision as: allanjude.Apr 28 2020, 2:26 AM
This revision was automatically updated to reflect the committed changes.